View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000226Ecere SDKidepublic2009-06-22 20:382013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000226: Integrated Debugger is broken on Linux in 0.44d2
DescriptionStarting the debugger freezes the IDE
Tagsv0.44d2
Attached Files

- Relationships

-  Notes
(0000115)
jerome (administrator)
2009-06-22 20:39

It turned out to be the addition of a fflush(output); in File.ec that is causing this, right under the comment:

// TODO: Check if any repercusions of commenting out fflush here

We need to find an intelligent solution to the problem.
(0000240)
jerome (administrator)
2010-07-26 02:35

// This is what broke the debugger in 0.44d2 , it is required for outputting things to the DualPipe
         // Added an explicit flush call in DualPipe::Puts
         // fflush(output);

I think this has been resolved? Verify and mark as such.

- Issue History
Date Modified Username Field Change
2009-06-22 20:38 jerome New Issue
2009-06-22 20:39 jerome Note Added: 0000115
2010-07-07 02:37 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 21:18 redj Relationship added child of 0000429
2010-07-26 02:35 jerome Note Added: 0000240
2010-07-26 19:20 thexa4 Target Version 0.44d2 => 0.44 draft 2
2010-12-04 23:24 jerome Category => Debugger
2010-12-06 18:14 jerome Status new => resolved
2010-12-06 18:14 jerome Fixed in Version => 0.44 pre-release 2
2010-12-06 18:14 jerome Resolution open => fixed
2010-12-06 18:14 jerome Assigned To => jerome
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:22 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker